Archived: NI-RFSG .NET API 1.2 Known Issues

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Aperçu

This document contains the <product> <version> known issues that were discovered before and since the release of <product> <version>. Known issues are performance issues or technical bugs that NI has acknowledged exist within this version of the product.

 

Not every issue known to NI appears on this list; it is intended to show the most severe and common issues that you may encounter and provide workarounds when possible. Other technical issues that you may encounter could occur through normal product use or system compatibility issues. You may find more information on these issues in NI’s Product Documentation, Knowledgebase, or Community.

Known Issues in NI-RFSG .NET Class Libraries 1.2.0

The following are known issues in NI-RFSG .NET Class Libraries 1.2.0

  • Uninstalling NI-RFSG .NET Class Libraries does not uninstall the NI-RFSG .NET Class Libraries Help from Visual Studio.
  • Upgrading NI-RFSG .NET Class Libraries does not upgrade the NI-RFSG .NET Class Libraries Help in Visual Studio.
  • The NI-RFSG examples may produce a warning - "Warning: Found conflicts between different versions of the same dependent assembly". You can safely ignore this warning. This has been explained in following KnowledgeBase article.
  • The installer displays the message 'Installing Help', and installs help for the dependencies, even if you did not select Documentation during driver installation.
  • The installer displays message 'Integrating Help into Visual Studio' even if Visual Studio is not installed on your computer.
  • When you click the links in the NI-RFSG Instrument Driver Programming Flow topic from the NI-RFSG .NET 4.0 Help, a script error dialog box appears. Click No to view the help. This error occurs if you access any topic under NI-RFSG LabVIEW Reference from this window.
  • This installer includes version 1.4 of NationalInstruments.ModularInstruments.Common.dll, which is not compatible with earlier versions. This incompatibility can cause compile or run time errors in some circumstances when you use types from NationalInstruments.ModularInstrument.Common.dll directly in your program. Refer to the following Knowledge Base article for more information.

 

Glossary of Terms

 

  • Bug ID - When an issue is reported to NI, you may be given this ID or find it on ni.com.  You may also find IDs posted by NI on the discussion forums or in KnowledgeBase articles.
  • Legacy ID – An older issue ID that refers to the same issue.  You may instead find this issue ID in older known issues documents.
  • Description - A few sentences which describe the problem. The brief description given does not necessarily describe the problem in full detail.
  • Workaround - Possible ways to work around the problem.
  • Reported Version - The earliest version in which the issue was reported.
  • Resolved Version - Version in which the issue was resolved or was no longer applicable. "N/A" indicates that the issue has not been resolved.
  • Date Added - The date the issue was added to the document (not the reported date).